#pragma once

#include "util/Interface.h"
#include "util/ThreadPoolCachedEx.h"

class BindingProcessor : public Interface
{
public:
    virtual bool start() = 0;
    virtual void stop() = 0;
    virtual void setEnabled(bool enabled) = 0;
    virtual void submit(Callable<int>* task) = 0;
};
